1. 17 Jun, 2019 1 commit
  2. 13 Jun, 2019 1 commit
    • Michael Catanzaro's avatar
      Fix -Wunknown-pragmas triggered by secret-version.h · 2b4adfb9
      Michael Catanzaro authored
      In file included from /usr/include/libsecret-1/libsecret/secret.h:33,
                       from ../lib/sync/../ephy-sync-utils.h:24,
                       from ../lib/sync/ephy-history-manager.c:25:
      /usr/include/libsecret-1/libsecret/secret-version.h:19: error: ignoring #pragma __once__  [-Werror=unknown-pragmas]
       #pragma __once__
      
      It should be #pragma once, not #pragma __once__.
      
      But let's follow the other public headers here instead.
      2b4adfb9
  3. 09 Jun, 2019 1 commit
    • Sutou Kouhei's avatar
      Add version macros · c00283eb
      Sutou Kouhei authored
      Added macros:
      
        * SECRET_VERSION_MAJOR
        * SECRET_VERSION_MINOR
        * SECRET_VERSION_MICRO
        * SECRET_CHECK_VERSION
      
      These macros are widely defined in GLib based library. For example,
      GLib, GTK, poppler GLib and so on define them.
      
      These macros are useful to detect libsecret version on build type and
      from GObject Introspection based bindings.
      c00283eb